﻿using System;
using System.Collections.Generic;

namespace MyCollections
{
    class Program
    {
        static void Main()
        {
            AbstractMultiValueDictionary<char, String> dict = new MultiValueDictionaryHashSet<char, string>();
            dict.Add('A', "Anders");
            dict.Add('A', "Abraham");
            dict.Add('J', "John");
            Console.WriteLine(dict);

            // implements IEnumerable
            foreach (KeyValuePair<char, ISet<String>> pair in dict)
            {
                Console.WriteLine(pair.Key  + " " + String.Join(", ", pair.Value));
            }
        }
    }
}
